org.keycloak.representations

## Class OAuth2DeviceAuthorizationResponse

- java.lang.Object
- - org.keycloak.representations.OAuth2DeviceAuthorizationResponse

-     public class OAuth2DeviceAuthorizationResponse
      extends Object

  Representation for Device Authorization Response.
  Author:
    Hiroyuki Wada

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `deviceCode` REQUIRED
    `protected long` | `expiresIn` REQUIRED
    `protected long` | `interval` OPTIONAL
    `protected String` | `userCode` REQUIRED
    `protected String` | `verificationUri` REQUIRED
    `protected String` | `verificationUriComplete` OPTIONAL

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuth2DeviceAuthorizationResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDeviceCode()`
    `long` | `getExpiresIn()`
    `long` | `getInterval()`
    `String` | `getUserCode()`
    `String` | `getVerificationUri()`
    `String` | `getVerificationUriComplete()`
    `void` | `setDeviceCode(String deviceCode)`
    `void` | `setExpiresIn(long expiresIn)`
    `void` | `setInterval(long interval)`
    `void` | `setUserCode(String userCode)`
    `void` | `setVerificationUri(String verificationUri)`
    `void` | `setVerificationUriComplete(String verificationUriComplete)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### deviceCode

          protected String deviceCode

      REQUIRED

    - #### userCode

          protected String userCode

      REQUIRED

    - #### verificationUri

          protected String verificationUri

      REQUIRED

    - #### verificationUriComplete

          protected String verificationUriComplete

      OPTIONAL

    - #### expiresIn

          protected long expiresIn

      REQUIRED

    - #### interval

          protected long interval

      OPTIONAL

  - ### Constructor Detail

    - #### OAuth2DeviceAuthorizationResponse

          public OAuth2DeviceAuthorizationResponse()

  - ### Method Detail

    - #### getDeviceCode

          public String getDeviceCode()

    - #### setDeviceCode

          public void setDeviceCode(String deviceCode)

    - #### getUserCode

          public String getUserCode()

    - #### setUserCode

          public void setUserCode(String userCode)

    - #### getVerificationUri

          public String getVerificationUri()

    - #### setVerificationUri

          public void setVerificationUri(String verificationUri)

    - #### getVerificationUriComplete

          public String getVerificationUriComplete()

    - #### setVerificationUriComplete

          public void setVerificationUriComplete(String verificationUriComplete)

    - #### getExpiresIn

          public long getExpiresIn()

    - #### setExpiresIn

          public void setExpiresIn(long expiresIn)

    - #### getInterval

          public long getInterval()

    - #### setInterval

          public void setInterval(long interval)

Copyright © 2021 JBoss by Red Hat. All rights reserved.